Package org.kie.internal.task.api

## Interface TaskVariable

-     public interface TaskVariable

  Represents single Task variable entity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `TaskVariable.VariableType` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getModificationDate()` | Returns last time this variable was modified
    `java.lang.String` | `getName()` | Returns name of the variable
    `java.lang.String` | `getProcessId()` | Returns process id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
    `java.lang.Long` | `getProcessInstanceId()` | Returns process instance id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
    `java.lang.Long` | `getTaskId()` | Returns task id that this variable belongs to
    `TaskVariable.VariableType` | `getType()` | Return type of the variable - either input or output
    `java.lang.String` | `getValue()` | Returns value of this variable - its string representation that can be queried
    `void` | `setModificationDate​(java.util.Date modificationDate)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setProcessId​(java.lang.String processId)` |
    `void` | `setProcessInstanceId​(java.lang.String processInstanceId)` |
    `void` | `setTaskId​(java.lang.Long taskId)` |
    `void` | `setType​(TaskVariable.VariableType type)` |
    `void` | `setValue​(java.lang.String value)` |

- - ### Method Detail

    - #### getTaskId

          java.lang.Long getTaskId()

      Returns task id that this variable belongs to
      Returns:

    - #### getProcessInstanceId

          java.lang.Long getProcessInstanceId()

      Returns process instance id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
      Returns:

    - #### getProcessId

          java.lang.String getProcessId()

      Returns process id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
      Returns:

    - #### getName

          java.lang.String getName()

      Returns name of the variable
      Returns:

    - #### getValue

          java.lang.String getValue()

      Returns value of this variable - its string representation that can be queried
      Returns:

    - #### getType

          TaskVariable.VariableType getType()

      Return type of the variable - either input or output
      Returns:

    - #### getModificationDate

          java.util.Date getModificationDate()

      Returns last time this variable was modified
      Returns:

    - #### setTaskId

          void setTaskId​(java.lang.Long taskId)

    - #### setProcessInstanceId

          void setProcessInstanceId​(java.lang.String processInstanceId)

    - #### setProcessId

          void setProcessId​(java.lang.String processId)

    - #### setName

          void setName​(java.lang.String name)

    - #### setValue

          void setValue​(java.lang.String value)

    - #### setType

          void setType​(TaskVariable.VariableType type)

    - #### setModificationDate

          void setModificationDate​(java.util.Date modificationDate)